Parking Users
Get a single Parking User
GET
/
api
/
billing-accounts
/
{baId}
/
parking-users
/
{puId}
Get a single Parking User
curl --request GET \
--url https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"costCenter": "<string>",
"phoneNumber": "<string>",
"cars": [
{
"licenseNumber": "<string>"
}
],
"address": {
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}Authorizations
You can get the JWT from the Login endpoint
Path Parameters
Billing account ID
Parking user ID
Response
Returns the Parking User
Parking User details
Parking user identifier
First name
Last name
Email address
Cost center
Phone number
Account status
Available options:
ACTIVE, INACTIVE, CLOSED Cars registered to the parking user
Show child attributes
Show child attributes
Delivery address
Show child attributes
Show child attributes
⌘I
Get a single Parking User
